Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122208 - Review Request: nodejs-agent-base - Turn a function into an `http.Agent` instance
Summary: Review Request: nodejs-agent-base - Turn a function into an `http.Agent` inst...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122225 1122226 1122228 1122239
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:03 UTC by Ralph Bean
Modified: 2014-08-15 02:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 17:23:41 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:03:28 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-agent-base.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-agent-base-1.0.1-1.fc20.src.rpm

Description:
This module provides an http.Agent generator. That is, you pass it an async
callback function, and it returns a new http.Agent instance that will invoke
the given callback function when sending outbound HTTP requests.

Comment 1 Parag AN(पराग) 2014-07-23 08:25:22 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-agent-base.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-agent-base.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-agent-base.noarch: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-agent-base.noarch: W: only-non-binary-in-usr-lib
nodejs-agent-base.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-agent-base.src: W: spelling-error %description -l en_US http -> HTTP
nodejs-agent-base.src: W: spelling-error %description -l en_US async -> sync, a sync
2 packages and 0 specfiles checked; 0 errors, 7 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball     :a40a7800b1e15cb267ac1f94adeb7586319a14ffecab881bf79e8431723caa46
upstream tarball :a40a7800b1e15cb267ac1f94adeb7586319a14ffecab881bf79e8431723caa46

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines


APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:12:14 UTC
New Package SCM Request
=======================
Package Name: nodejs-agent-base
Short Description: Turn a function into an `http.Agent` instance
Upstream URL: https://npmjs.org/package/agent-base
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:18:24 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:04 UTC
nodejs-agent-base-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-agent-base-1.0.1-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:13 UTC
nodejs-agent-base-1.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-agent-base-1.0.1-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:23:41 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:34:13 UTC
nodejs-agent-base-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:51:29 UTC
nodejs-agent-base-1.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.